Module javafx.fxml
Package javafx.fxml

## Interface Initializable

-     public interface Initializable

  Controller initialization interface.

  NOTE This interface has been superseded by automatic injection of `location` and `resources` properties into the controller. `FXMLLoader` will now automatically call any suitably annotated no-arg `initialize()` method defined by the controller. It is recommended that the injection approach be used whenever possible.

  Since:
    JavaFX 2.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize​(URL location, ResourceBundle resources)` | Called to initialize a controller after its root element has been completely processed.

- - ### Method Detail

    - #### initialize

          void initialize​(URL location,
                          ResourceBundle resources)

      Called to initialize a controller after its root element has been completely processed.
      Parameters:
        `location` - The location used to resolve relative paths for the root object, or `null` if the location is not known.
        `resources` - The resources used to localize the root object, or `null` if the root object was not localized.